package com.ywt.outpatient.domain.models;

import javax.persistence.Column;

public class DoctorInfo {

    private int doctorId;

    private String name;

    private String avatar;
    private String avatar2;

    private String city;

    private int hospitalId;

    private String hospitalName;


    private String specialty;

    private int deptId;

    private String deptName;

    private int status;

    private String title;

    private String mobile;

    /**
     * 询诊费用，单位：分
     */
    private int consultAmount;

    /**
     * 医生出诊状态
     */
    private Integer scheduleStatus;

    /**
     * 二维码链接
     */
    private String qrCodeUrl;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 简介
     */
    private String briefIntro;

    /**
     * 医生状态（0-启用，1-禁用）
     */
    private Integer doctorStatus;


    /**
     * 认证方式
     * 0-后台导入，1-医生认证
     */
    private Integer authType;

    /**
     * 处方二维码链接
     */
    @Column(name = "rp_url")
    private String rpUrl;

    /**
     * 处方二维码内容
     */
    @Column(name = "rp_content")
    private String rpContent;

    //医生PC端处方二维码链接
    private String rpUrlPc;

    //医生PC端处方二维码内容
    private String rpContentPc;

    //默认处方药房ID
    private Integer pharmacyId;

    private Integer identity;

    private Boolean negReception;
    private String negReceptionHint;
    private Boolean enableNextConsultChance;
    private Integer offlineFee;
    private Integer prescriptionRightStatus;
    private String prescriptionRightPharmacyIds;

    public int getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(int doctorId) {
        this.doctorId = doctorId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public int getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(int hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public int getDeptId() {
        return deptId;
    }

    public void setDeptId(int deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public int getConsultAmount() {
        return consultAmount;
    }

    public void setConsultAmount(int consultAmount) {
        this.consultAmount = consultAmount;
    }

    public Integer getScheduleStatus() {
        return scheduleStatus;
    }

    public void setScheduleStatus(Integer scheduleStatus) {
        this.scheduleStatus = scheduleStatus;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getBriefIntro() {
        return briefIntro;
    }

    public void setBriefIntro(String briefIntro) {
        this.briefIntro = briefIntro;
    }

    public Integer getDoctorStatus() {
        return doctorStatus;
    }

    public void setDoctorStatus(Integer doctorStatus) {
        this.doctorStatus = doctorStatus;
    }

    public Integer getAuthType() {
        return authType;
    }

    public void setAuthType(Integer authType) {
        this.authType = authType;
    }

    public String getRpUrl() {
        return rpUrl;
    }

    public void setRpUrl(String rpUrl) {
        this.rpUrl = rpUrl;
    }

    public String getRpContent() {
        return rpContent;
    }

    public void setRpContent(String rpContent) {
        this.rpContent = rpContent;
    }

    public String getAvatar2() {
        return avatar2;
    }

    public void setAvatar2(String avatar2) {
        this.avatar2 = avatar2;
    }

    public String getRpUrlPc() {
        return rpUrlPc;
    }

    public void setRpUrlPc(String rpUrlPc) {
        this.rpUrlPc = rpUrlPc;
    }

    public String getRpContentPc() {
        return rpContentPc;
    }

    public void setRpContentPc(String rpContentPc) {
        this.rpContentPc = rpContentPc;
    }

    public Integer getPharmacyId() {
        return pharmacyId;
    }

    public void setPharmacyId(Integer pharmacyId) {
        this.pharmacyId = pharmacyId;
    }

    public Integer getIdentity() {
        return identity;
    }

    public void setIdentity(Integer identity) {
        this.identity = identity;
    }

    public Boolean getNegReception() {
        return negReception;
    }

    public void setNegReception(Boolean negReception) {
        this.negReception = negReception;
    }

    public String getNegReceptionHint() {
        return negReceptionHint;
    }

    public void setNegReceptionHint(String negReceptionHint) {
        this.negReceptionHint = negReceptionHint;
    }

    public Boolean getEnableNextConsultChance() {
        return enableNextConsultChance;
    }

    public void setEnableNextConsultChance(Boolean enableNextConsultChance) {
        this.enableNextConsultChance = enableNextConsultChance;
    }

    public Integer getOfflineFee() {
        return offlineFee;
    }

    public void setOfflineFee(Integer offlineFee) {
        this.offlineFee = offlineFee;
    }

    public Integer getPrescriptionRightStatus() {
        return prescriptionRightStatus;
    }

    public void setPrescriptionRightStatus(Integer prescriptionRightStatus) {
        this.prescriptionRightStatus = prescriptionRightStatus;
    }

    public String getPrescriptionRightPharmacyIds() {
        return prescriptionRightPharmacyIds;
    }

    public void setPrescriptionRightPharmacyIds(String prescriptionRightPharmacyIds) {
        this.prescriptionRightPharmacyIds = prescriptionRightPharmacyIds;
    }
}

